#!/bin/bash

# ============LICENSE_START=======================================================
#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# SPDX-License-Identifier: Apache-2.0
# ============LICENSE_END=========================================================

set -o errexit
set -o nounset

if [[ "$DELETE_STACK" != "yes" ]]; then
  echo "-------------------------------------------------------------------------"
  echo "Info: Stack will not be deleted upon the completion of the job!"
  echo "-------------------------------------------------------------------------"
  exit 0
fi

echo
echo
echo "-------------------------------------------------------------------------"
echo "Info: Please wait while deleting the stack and do not abort the job!"
echo "-------------------------------------------------------------------------"
echo
echo

cd $WORKSPACE
sudo apt install -y -qq python-dev python-virtualenv > /dev/null
virtualenv -q $WORKSPACE/.venv
set +u
source $WORKSPACE/.venv/bin/activate
set -u
pip install -q openstacksdk python-openstackclient python-heatclient
echo "Info: Deleting stack $STACK_NAME"
echo "-------------------------------------------------------------------------"
source /tmp/openrc && /bin/rm -f /tmp/openrc
openstack stack delete $STACK_NAME --wait --yes
echo "-------------------------------------------------------------------------"
echo "Info: Stack $STACK_NAME has been deleted!"

# vim: set ts=2 sw=2 expandtab:
